<ng-container *ngIf="!loading">
  <div class="animated fadeIn" *ngIf="!selected">
      <kendo-grid 
          [data]="dataGrid" 
          [selectable]="true"
          [filter]="filter"
          [filterable]="true"
          [reorderable]="true"
          [resizable]="true"
          [sort]="sort"
          [sortable]="true" 
          (filterChange)="filterChange($event)"
          (selectionChange)="selectRow($event)"
          (sortChange)="sortChange($event)"
          class="mt-1" style="height:75vh;">
          <kendo-grid-column field="Segmento"  title="Segmento" width="20"></kendo-grid-column>
          <kendo-grid-column field="sdesc" title="Descripción" width="40"></kendo-grid-column>
          <kendo-grid-column field="stipo"    title="Tipo"   width="20" [filterable]="false"></kendo-grid-column>
          <kendo-grid-column field="ssub"  title="Subtipo" width="20" [filterable]="false"></kendo-grid-column>
      </kendo-grid>
  </div>
</ng-container>

<app-loading *ngIf="loading"></app-loading>